# Fake the code quality
# ["info", "minor", "major", "critical", "blocker"]
code_quality:
  image: node:slim
  stage: 🔎code-quality
  rules:
    - if: $CI_COMMIT_BRANCH == "main"
    - if: $CI_MERGE_REQUEST_IID
  artifacts:
    reports:
      codequality: gl-code-quality-report.json
    paths: 
      - gl-code-quality-report.json # keep the report
  script: |
    if [ -z "$CI_MERGE_REQUEST_IID" ]
    then
      echo "[]" > gl-code-quality-report.json
    else
      # this is a merge request
      node ./ci/templates/hotspots.js
    fi
